
use ipehd_ereh2013_master_main.dta, clear

global x1 "urban_49 ind_49 prot_49 mar_f_49"
global x2 "age_mar_49 text_f_49 enr_64 ${x1} child_mort_49 mat_mort_49"
global x3 "${x2} pop_dens_49 net_mig_80" 


***---------   Table 1   -----------***

sum cwr_67 enrol_f_16 text_f_49 age_mar_49 enr_64 child_mort_49 mat_mort_49 ${x1} pop_dens_49 born_coun_80 
sum net_mig_80 net_mig_62 ind_f_67 land_conc_16_49 cwr_16 pol_ann rail_dens street_dens wholes_49


***---------   Table 2   -----------***

reg cwr_67 enrol_f_16, robust
reg cwr_67 enrol_f_16 ${x1}, robust
reg cwr_67 enrol_f_16 text_f_49 ${x1}, robust
reg cwr_67 enrol_f_16 text_f_49 age_mar_49 ${x1}, robust
reg cwr_67 enrol_f_16 text_f_49 age_mar_49 enr_64 ${x1}, robust
reg cwr_67 enrol_f_16 text_f_49 age_mar_49 enr_64 child_mort_49 ${x1}, robust
reg cwr_67 enrol_f_16 text_f_49 age_mar_49 enr_64 child_mort_49 mat_mort_49 ${x1}, robust


***---------   Table 3   -----------***

reg cwr_67 enrol_f_16 ${x2}, robust 
ivreg2 cwr_67 (enrol_f_16 = land_conc_16_49) ${x2}, robust first
reg cwr_67 enrol_f_16 cwr_16 ${x2}, robust 
ivreg2 cwr_67 (enrol_f_16 = land_conc_16_49) cwr_16 ${x2}, robust first
ivreg2 cwr_67 (enrol_f_16 = land_conc_16_49) cwr_16 age_mar_49 text_f_49 enr_64 crop_86_comp1 crop_86_comp2 machine_82 child_mort_49 mat_mort_49 ${x1}, robust


***---------   Table 4   -----------***

preserve
use ipehd_ereh2013_master_panel.dta, clear 
xtset kreiskey1849 year
reg cwr enrol_f if year==1816
reg cwr enrol_f if year==1849
xi: reg cwr enrol_f i.year 
xi: xtreg cwr enrol_f i.year, fe 
xi: xtreg cwr enrol_f enrol_c i.year, fe 
xi: xtreg cwr enrol_f enrol_c cwr_p i.year, fe 
restore



***---------   Supplementary material   -----------***

*** Table SB1
reg cwr_67 enrol_f_16 pop_dens_49 ${x2}, robust
reg cwr_67 rw_f_71 ${x2} pop_dens_49, robust
reg cwr_67 enrol_f_16 ${x2} pop_dens_49 born_coun_80, robust
reg cwr_67 enrol_f_16 ${x2} pop_dens_49 net_mig_62, robust
reg cwr_67 enrol_f_16 ${x3}, robust
reg cwr_67 enrol_f_16 ${x3} latit longit, robust
reg cwr_67 enrol_f_16 ${x3} pol_ann, robust
reg cwr_67 enrol_f_16 age_mar_49 enr_64 pop_dens_49 net_mig_80 pol_ann ind_f_67 child_mort_49 mat_mort_49 ${x1}, robust


*** Table SB2
reg cwr_67 enrol_f_16 ${x2}, robust
sum urban_49, d
reg cwr_67 enrol_f_16 age_mar_49 text_f_49 enr_64 ind_49 prot_49 mar_f_49 child_mort_49 mat_mort_49 if urban_49>`r(p50)', robust
sum urban_49, d
reg cwr_67 enrol_f_16 age_mar_49 text_f_49 enr_64 ind_49 prot_49 mar_f_49 child_mort_49 mat_mort_49 if urban_49<=`r(p50)', robust
sum born_coun_80, d
reg cwr_67 enrol_f_16 ${x2} if born_coun_80 >=`r(p50)', robust
sum born_coun_80, d
reg cwr_67 enrol_f_16 ${x2} if born_coun_80 <`r(p50)', robust
sum cwr_67,d
reg cwr_67 enrol_f_16 ${x2} if (cwr_67>=`r(p5)' & cwr_67<=`r(p95)'), robust
sum cwr_67,d
reg cwr_67 enrol_f_16 ${x2} if (cwr_67>=`r(p10)' & cwr_67<=`r(p90)'), robust


*** Table SB3
reg age_mar_49 enrol_f_16 text_f_49 urban_49 ind_49 prot_49, robust
reg mar_f_49 enrol_f_16 text_f_49 urban_49 ind_49 prot_49, robust


*** Table SB4
foreach var of varlist rail_dens street_dens wholes_49 {
	qui sum `var', det
	local i = r(p50)
	reg cwr_67 enrol_f_16 ${x3} if `var'>`i', robust 
	reg cwr_67 enrol_f_16 ${x3} if `var'<=`i', robust
}


